zookeeper-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Patrick Hunt <ph...@apache.org>
Subject Re: Test failures (SASL) with Java 11 - any ideas?
Date Wed, 01 Aug 2018 19:08:16 GMT
We had discussed dropping java6 as a supported platform recently. Perhaps
yet another reason to move forward with that?

Patrick

On Sun, Jul 22, 2018 at 8:13 PM Rakesh Radhakrishnan <rakeshr@apache.org>
wrote:

> >>>>  Do you know why 3.4 is not using kerby?
>
> In short, Kerby was failing with java-6.  Please refer jira:
> https://jira.apache.org/jira/browse/ZOOKEEPER-2689
>
> "ZooKeeper runs in Java, release 1.6 or greater (JDK 6 or greater)."
> https://zookeeper.apache.org/doc/r3.4.13/zookeeperAdmin.html
>
>
> Rakesh
>
> On Sat, Jul 21, 2018 at 9:06 PM, Enrico Olivelli <eolivelli@gmail.com>
> wrote:
>
> >
> >
> > Il sab 21 lug 2018, 17:17 Patrick Hunt <phunt@apache.org> ha scritto:
> >
> >> On Sat, Jul 21, 2018 at 1:21 AM Enrico Olivelli <eolivelli@gmail.com>
> >> wrote:
> >>
> >> > Il sab 21 lug 2018, 09:22 Patrick Hunt <phunt@apache.org> ha scritto:
> >> >
> >> > > Interestingly I don't see the auth tests that are failing in 3.4
> >> failing
> >> > on
> >> > > trunk (they pass), instead a number of tests fail with "Address
> >> already
> >> > in
> >> > > use"
> >> > >
> >> > >
> >> > https://builds.apache.org/view/S-Z/view/ZooKeeper/job/
> >> ZooKeeper-trunk-java11/3/#showFailuresLink
> >> > >
> >> > > 3.4 is using
> >> > >     <property name="apache-directory-server.version"
> >> value="2.0.0-M15"/>
> >> > >     <property name="apache-directory-api.version"
> value="1.0.0-M20"/>
> >> > > while trunk moved to kerby, wonder if that could be it (sasl fails
> at
> >> > > least)?
> >> > >     <property name="kerby.version" value="1.1.0"/>
> >> > >
> >> >
> >> > True.
> >> > I can't find any report of errors about Kerby + jdk11 by googling a
> >> little.
> >> > Maybe we are the first :)
> >> >
> >> >
> >> To be clear it looks like kerby (master) is working while directory
> (3.4)
> >> is not - perhaps we need to update?
> >>
> >
> > Do you know why 3.4 is not using kerby?
> >
> > Enrico
> >
> >
> >> Patrick
> >>
> >>
> >> > I did not start to run extensive tests of my applications on jdk11, I
> >> will
> >> > start next week.
> >> >
> >> > While switching from 8 to 10 I had problems with a bunch of fixes on
> >> > Kerberos impl in java which made tests not work on testing
> environments
> >> due
> >> > to stricter check about the env
> >> >
> >> > Enrico
> >> >
> >> >
> >> > > Patrick
> >> > >
> >> > > On Sat, Jul 21, 2018 at 12:02 AM Patrick Hunt <phunt@apache.org>
> >> wrote:
> >> > >
> >> > > > Thanks Enrico. Possible. However afaict Jenkins is running build
> 19
> >> > > (build
> >> > > > 11-ea+19) and I didn't notice anything obvious in the notes for
> 19+
> >> > > related
> >> > > > to sasl/kerb.
> >> > > >
> >> > > > Patrick
> >> > > >
> >> > > > On Fri, Jul 20, 2018 at 11:48 PM Enrico Olivelli <
> >> eolivelli@gmail.com>
> >> > > > wrote:
> >> > > >
> >> > > >> In java11 there are a bunch of news about Kerberos, maybe
it is
> >> > related
> >> > > >>
> >> > > >> http://jdk.java.net/11/release-notes
> >> > > >>
> >> > > >> My 2 cents
> >> > > >> Enrico
> >> > > >>
> >> > > >> Il sab 21 lug 2018, 08:03 Patrick Hunt <phunt@apache.org>
ha
> >> scritto:
> >> > > >>
> >> > > >> > Hey folks, I added a couple Jenkins jobs based on Java
11 which
> >> is
> >> > set
> >> > > >> to
> >> > > >> > release in September. Jenkins is running a pre-release
> >> > > >> >
> >> > > >> >
> >> > > >>
> >> > >
> >> > https://builds.apache.org/view/S-Z/view/ZooKeeper/job/
> >> ZooKeeper_branch34_java11/
> >> > > >> >
> >> > > >> > java version "11-ea" 2018-09-25
> >> > > >> > Java(TM) SE Runtime Environment 18.9 (build 11-ea+19)
> >> > > >> > Java HotSpot(TM) 64-Bit Server VM 18.9 (build 11-ea+19,
mixed
> >> mode)
> >> > > >> >
> >> > > >> >
> >> > > >> > Anyone have insight into what's failing here?
> >> > > >> >
> >> > > >> > 2018-07-20 14:39:27,126 [myid:2] - ERROR
> >> > > >> > [QuorumConnectionThread-[myid=2]-3:QuorumCnxManager@268]
-
> >> > Exception
> >> > > >> > while connecting, id: [0, localhost/127.0.0.1:11223],
addr:
> {},
> >> > > >> > closing learner connection
> >> > > >> > javax.security.sasl.SaslException: An error:
> >> > > >> > (java.security.PrivilegedActionException:
> >> > > >> > javax.security.sasl.SaslException: GSS initiate failed
[Caused
> >> by
> >> > > >> > GSSException: No valid credentials provided (Mechanism
level:
> >> > Message
> >> > > >> > stream modified (41) - Message stream modified)]) occurred
when
> >> > > >> > evaluating Zookeeper Quorum Member's  received SASL
token.
> >> > > >> >
> >> > > >> > ...
> >> > > >> >
> >> > > >> > Entered Krb5Context.initSecContext with state=STATE_NEW
> >> > > >> > Found ticket for learner@EXAMPLE.COM to go to
> >> > > >> > krbtgt/EXAMPLE.COM@EXAMPLE.COM expiring on Sat Jul 21
14:39:01
> >> UTC
> >> > > >> > 2018
> >> > > >> > Service ticket not found in the subject
> >> > > >> > 2018-07-20 14:39:27,127 [myid:0] - ERROR
> >> > > >> > [QuorumConnectionThread-[myid=0]-2:SaslQuorumAuthServer@133]
-
> >> > Failed
> >> > > >> > to authenticate using SASL
> >> > > >> >
> >> > > >> >
> >> > > >> >
> >> > > >> >
> >> > > >>
> >> > >
> >> > https://builds.apache.org/view/S-Z/view/ZooKeeper/job/
> >> ZooKeeper_branch34_java11/2/#showFailuresLink
> >> > > >> >
> >> > > >> > Patrick
> >> > > >> >
> >> > > >> --
> >> > > >>
> >> > > >>
> >> > > >> -- Enrico Olivelli
> >> > > >>
> >> > > >
> >> > >
> >> > --
> >> >
> >> >
> >> > -- Enrico Olivelli
> >> >
> >>
> > --
> >
> >
> > -- Enrico Olivelli
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message